# certbot.tests.acme_util module

ACME utilities for testing.

certbot.tests.acme_util.gen_combos(challbs)

  Generate natural combinations for challbs.

certbot.tests.acme_util.chall_to_challb(chall, status)

  Return ChallengeBody from Challenge.

certbot.tests.acme_util.gen_authzr(authz_status, domain, challs, statuses, combos=True)

  Generate an authorization resource.

  Parameters

    - authz_status (`acme.messages.Status`) – Status object

    - challs (list) – Challenge objects

    - statuses (list) – status of each challenge object

    - combos (bool) – Whether or not to add combinations